Leave a meeting
Causes the bot to leave the meeting.
Path Parameters
- Type: string
object _id requiredBot ID
Headers
- Type: string
Authorization requiredAPI key for authentication
- Type: string
Content - Type requiredShould always be application/json
Responses
- application/json
400 Bot is not in a valid state to leave the meeting
404 Bot not found
Request Example for post/api/v1/bots/{object_id}/leave
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/leave \
--request POST \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json'
{
"id": "bot_weIAju4OXNZkDTpZ",
"meeting_url": "https://zoom.us/j/123?pwd=456",
"state": "leaving",
"events": [
{
"type": "join_requested",
"created_at": "2024-01-18T12:34:56Z"
},
{
"type": "joined_meeting",
"created_at": "2024-01-18T12:35:00Z"
},
{
"type": "leave_requested",
"created_at": "2024-01-18T13:34:56Z"
}
],
"transcription_state": "in_progress",
"recording_state": "in_progress"
}